Ad Account Ad Images
Updated: Mar 24, 2026
Reading
Ad Images that belong to this Ad Account.
Example
GET /v25.0/{ad-account-id}/adimages HTTP/1.1
Host: graph.facebook.com
Try it in Graph API Explorer
If you want to learn how to use the Graph API, read our Using Graph API guide
Parameters
| Parameter | Description |
|---|---|
biz_tag_idint64 |
Business tag ID to filter images.
|
business_idnumeric string or integer |
Optional.
Assists with filters such as recently used.
|
hasheslist<string> |
Hash of the image.
|
minheightint64 |
Minimum height of the image.
|
minwidthint64 |
Minimum width of the image.
|
namestring |
Image name used in image names filter.
|
Fields
Reading from this edge will return a JSON formatted result:
{
"data": [],
"paging": {},
"summary": {}
}
data
A list of AdImage nodes.
paging
For more details about pagination, see the Graph API guide.
summary
Aggregated information about the edge, such as counts. Specify the fields to fetch in the summary param (like summary=__type__).
| Field | Description |
|---|---|
total_countint32 |
Total number of images in the Ad Account.
default |
Error Codes
| Error Code | Description |
|---|---|
200 | Permissions error |
80004 | There have been too many calls to this ad-account. Wait a bit and try again. For more info, please refer to /docs/graph-api/overview/rate-limiting#ads-management. |
368 | The action attempted has been deemed abusive or is otherwise disallowed |
100 | Invalid parameter |
190 | Invalid OAuth 2.0 Access Token |
Creating
/act_{ad_account_id}/adimages
You can make a POST request to adimages edge from the following paths:
When posting to this edge, an AdImage will be created.
Parameters
| Parameter | Description |
|---|---|
bytesBase64 UTF-8 string |
Image file. Example: bytes = <image content in bytes format> |
copy_fromJSON or object-like arrays |
This copies the Ad Image from the source to the destination account. {"source_account_id":"<SOURCE_ACCOUNT_ID>", "hash":"02bee5277ec507b6fd0f9b9ff2f22d9c"}source_account_id numeric stringhash stringShow child parameters |
Return Type
This endpoint supports read-after-write and will read the node represented by images in the return type.
Map {
string: Map {
string: Struct {
hash: string,
url: string,
url_128: string,
url_256: string,
url_256_height: string,
url_256_width: string,
height: int32,
width: int32,
name: string,
}}}
Error Codes
| Error Code | Description |
|---|---|
100 | Invalid parameter |
200 | Permissions error |
80004 | There have been too many calls to this ad-account. Wait a bit and try again. For more info, please refer to /docs/graph-api/overview/rate-limiting#ads-management. |
190 | Invalid OAuth 2.0 Access Token |
368 | The action attempted has been deemed abusive or is otherwise disallowed |
613 | Calls to this api have exceeded the rate limit. |
Updating
You can't perform this operation on this endpoint.
Deleting
/act_{ad_account_id}/adimages
You can dissociate an AdImage from an AdAccount by making a DELETE request to /act_{ad_account_id}/adimages.
Parameters
| Parameter | Description |
|---|---|
hashstring |
Hash of the image you wish to delete.
required |
image_idstring |
ID of the image you wish to delete.
|
Return Type
Struct {
success: bool,
}
Error Codes
| Error Code | Description |
|---|---|
100 | Invalid parameter |
80004 | There have been too many calls to this ad-account. Wait a bit and try again. For more info, please refer to /docs/graph-api/overview/rate-limiting#ads-management. |